# Generated by Django 2.1.1 on 2018-09-30 14:11

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('virtualcontests', '0056_auto_20180930_1813'),
    ]

    operations = [
        migrations.CreateModel(
            name='ClassifiedTags',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('tag', models.CharField(max_length=30, null=True)),
                ('weight', models.FloatField(default=0)),
                ('problem', models.ForeignKey(default=None, on_delete=django.db.models.deletion.CASCADE, to='virtualcontests.Problems')),
            ],
        ),
        migrations.CreateModel(
            name='ClassifiedTagsList',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('tag', models.CharField(max_length=30)),
                ('weight', models.FloatField(default=0)),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
            ],
        ),
    ]
